Expression Blend and Design

The team blog of the Expression Blend and Design products.

Expression Blend 4 Beta and Information on Windows Phone Development

Expression Blend 4 Beta and Information on Windows Phone Development

  • Comments 15

As many of you know, today was the first day of MIX - Microsoft’s annual conference for designers and developers. Just like previous years, there has been a lot of great news coming out of the conference.

The two big things we announced are Expression Blend 4 Beta and an add-in to Expression Blend that gives you the ability to build applications for the Windows Phone.

Download everything you need below (*updated for RTM):

 


.NET Framework 4
blendicon_3 Expression Blend 4
blendicon_3

Windows Phone Development
You will need the following components installed for developing Windows Phone apps:

  1. Expression Blend 4
  2. Windows Phone Developer Tools
  3. Microsoft Expression Blend Add-in Preview for Windows Phone
  4. Microsoft Expression Blend SDK Preview for Windows Phone

Christian Schormann has a nice overview of Expression Blend 4 and the new features in it, so if you want to learn more, go read his blog post.

Of course, there will be plenty of posts in the upcoming days and weeks that dive into detail on what we’ve released and announced today, so stay tuned.

As always, we love to hear from you. Please feel free to comment below or use our forums here.

- The Expression Blend Team

Leave a Comment
  • Please add 7 and 8 and type the answer here:
  • Post
  • Blend 4 seems to need the .NET framework 4.0 but this isn't mentioned in the system requirements on the download center. Would be helpful to get a direct link to that download for people who don't have it and don't want/need Visual Studio. thx

  • tino - thanks for that feedback. I've updated this post to list .NET Framework 4.0, and one of my colleagues will look into updating the download center page.

    Cheers,

    Kirupa

  • Couple of things to note:  

    1. I am unable to connect to TFS 2008 with this version of blend.  Something about being unable to find the workspace?

    2. Opening a project with this version of Blend wants to update the project file.  People should be aware of that.  It will update the Expression Blend version number; although, it appears you can still open it in Blend 3.

    3. Is there any place like MSDN forums where we can post questions/look for answers?  

  • I've installed all the requirements in the same order, and Blend does not show the Windows Phone project types in the New Project dialog...

  • It seems that there are no default Behaviors in the Blend 4 beta version. Is this possible? At least when I start a new Windows Phone project, the Behavior list in the Assets pane is empty.

    I was trying to start with Blend. I may add that I had to uninstall Blend 3 before I could install Blend 4 beta, despite that on the download center it says that you can use Blend 3 and 4 side by side.

    Any suggestions? I own Studio 3 so maybe I can install the behaviors from the DVD? I know that I can get additional Behaviors from the gallery website but I just need the default ones. Thx.

  • tino - Do you have the Blend SDK for the Phone installed? You can download it from here: http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=86370108-4c14-42ee-8855-226e5dd9b85b

    Cheers,

    Kirupa =)

  • @Kirupa: I had a "Blend SDK" installed. That seems to be the problem. It was linked somewhere didn't remember where ;)

    Thanks a lot, I now try it with the new SDK.

  • It appears that you need a product key for the Expression Blend 4 beta trial.

  • The Blend 4 beta has problems with the GUI (The first dialog of the installation, rigt after the unpacking, is not visible). It is only possible to change between the controls via the Tab key, hence making it possible only to select Decline, Minimize and Close. So it can not be installed. The System is XP Pro SP3, VS 2010 RC Ultimate, TFS (with all agents and etc.) RC 2010.

  • Igor - thanks for pointing this out. We'll look into this.

    In the meantime, can you adjust your Hardware Acceleration slider down a notch in your Display Settings to see if that fixes your problem?

    Thanks,

    Kirupa

  • Will a tailored version of Expression Blend be available for free for Windows Phone 7 development like Visual Studio Express?

    Thanks

    Jamal

  • I ran into the same problem as Igor (only showing the Decline button once unpacked), only difference is I am running Win 7 in a VM.

    I found to uncheck "Accelerate 3D Graphics" in the Display settings of the VM (VM needs to be switched off) does the trick.

    Thx

    Steve

  • Thanks Kirupa, I havent retested with the Version 4 but as I had similar effects in Expression Blend Version 3 software I assume the lowring of Hardware accelaration works around the issue.

  • Okay just a heads up, I ran into the problem where installing the Blend SDK for Windows Phone fails because it says it needs .NET 4 or newer. But I DO have it installed, but the 64-bit version only. I tried uninstalling it and installing 32-bit, but that didnt work.

    What needs to be done is:

    Right Click BlendPhoneSDK_en.msi and click Troubleshoot compatibility. The first solution will be to skip version check. Use that solution, click Start the program and that works.

  • Dear all expertise,

    right now I get some servers to use, but I don't know how to architecture the IIS media service (how to install) so that the IIS media serice 4.0 works well with Expression Blend and we can deliver 720p+ video over the internet without any problem?

    I cant' find any documenation on this over the web.

Page 1 of 1 (15 items)